Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 17-04-2019 14:32:13

Caribou22
Membre
Lieu : 22, Côtes d'Armor, Bretagne
Distrib. : Debian Stretch
Noyau : 4.9 amd64
(G)UI : XFCE
Inscription : 10-11-2014
Site Web

[Résolu] Debian 8 : erreur update et projet migration

Bonjour smile

Je projette de migrer une Debian Jessie amd64 Xfce (une Handy Linux 2 dont j'ai retiré les dépôts Handy) vers Debian Stretch.

Seulement la commande :

apt-get update


Me renvoie des erreurs :

Ign http://download.videolan.org  InRelease
Atteint http://linux.teamviewer.com stable InRelease                                                    
Atteint http://download.videolan.org  Release.gpg                                                        
Atteint http://download.videolan.org  Release                                                            
Réception de : 1 http://linux.teamviewer.com stable/main amd64 Packages [3 647 B]                                                          
Atteint http://security.debian.org jessie/updates InRelease                                                                                
Ign http://deb.debian.org jessie InRelease                                                                
Réception de : 2 http://linux.teamviewer.com stable/main i386 Packages [3 372 B]                                                                            
Atteint http://deb.debian.org jessie-updates InRelease                                                                                                      
Atteint http://deb.debian.org jessie Release.gpg                                                                                  
Atteint http://download.videolan.org  Packages                                                                                                              
Réception de : 3 http://security.debian.org jessie/updates/main amd64 Packages [664 kB]                                                                      
Atteint http://deb.debian.org jessie Release                                                                                                                
Réception de : 4 http://security.debian.org jessie/updates/contrib amd64 Packages [2 506 B]                                                                  
Réception de : 5 http://security.debian.org jessie/updates/non-free amd64 Packages [4 556 B]                                                                
Réception de : 6 http://security.debian.org jessie/updates/main i386 Packages [665 kB]                                                                      
Réception de : 7 http://security.debian.org jessie/updates/contrib i386 Packages [2 526 B]                                                                  
Réception de : 8 http://security.debian.org jessie/updates/non-free i386 Packages [4 549 B]                                                                  
Réception de : 9 http://security.debian.org jessie/updates/contrib Translation-en [1 211 B]                                                                  
Ign http://download.videolan.org  Translation-fr_FR                                                                                                          
Ign http://download.videolan.org  Translation-fr                                                                                                            
Réception de : 10 http://security.debian.org jessie/updates/main Translation-en [335 kB]                                                                    
Ign http://download.videolan.org  Translation-en                                                                                                            
Réception de : 11 http://security.debian.org jessie/updates/non-free Translation-en [11,8 kB]                                                                
Réception de : 12 http://deb.debian.org jessie/main amd64 Packages [6 818 kB]                                                                                
Réception de : 13 http://deb.debian.org jessie/contrib amd64 Packages [49,8 kB]                                                    
Réception de : 14 http://deb.debian.org jessie/non-free amd64 Packages [83,2 kB]                                    
Réception de : 15 http://deb.debian.org jessie/main i386 Packages [6 821 kB]                                        
Ign http://linux.teamviewer.com stable/main Translation-fr_FR                                                            
Réception de : 16 http://deb.debian.org jessie/contrib i386 Packages [49,1 kB]                                            
Réception de : 17 http://deb.debian.org jessie/non-free i386 Packages [79,5 kB]                                            
Ign http://linux.teamviewer.com stable/main Translation-fr                                                                  
Réception de : 18 http://deb.debian.org jessie/contrib Translation-en [38,3 kB]                                            
Ign http://linux.teamviewer.com stable/main Translation-en                                                                
Réception de : 19 http://deb.debian.org jessie/main Translation-fr [846 kB]                                                
Réception de : 20 http://deb.debian.org jessie/main Translation-en [4 581 kB]                
Réception de : 21 http://deb.debian.org jessie/non-free Translation-en [72,0 kB]                  
7 019 o réceptionnés en 6s (1 031 o/s)                                                                                                                      
W: Impossible de récupérer http://deb.debian.org/debian/dists/jessie-updates/InRelease  Impossible de trouver l'entrée « main/binary-amd64/Packages » attendue dans le fichier « Release » : ligne non valable dans sources.list ou fichier corrompu

E: Le téléchargement de quelques fichiers d'index a échoué, ils ont été ignorés, ou les anciens ont été utilisés à la place.
 



Voici mon sources.list :

##DEBIAN Jessie##
deb http://deb.debian.org/debian/ jessie main contrib non-free
#deb-src http://deb.debian.org/debian/ jessie main contrib non-free

deb http://security.debian.org/ jessie/updates main contrib non-free
#deb-src http://security.debian.org/ jessie/updates main contrib non-free

deb http://deb.debian.org/debian/ jessie-updates main contrib non-free
#deb-src http://deb.debian.org/debian/ jessie-updates main contrib non-free

#deb http://ftp.debian.org/debian/ jessie-backports main contrib non-free
#deb-src http://ftp.debian.org/debian/ jessie-backports main contrib non-free
 



J'ai vu dans cette autre discussion que le dépôt jessie-update n'existerait plus : https://debian-facile.org/viewtopic.php … 33#p297933

Pour faire ma mise à niveau vers Stretch, que dois-je donc faire ?
- Supprimer ce dépôt jessie-updates et basculer les autres vers Stretch ?
OU
- Basculer tous les dépôts vers stretch y compris le jessie-updates qui deviendrait stretch-updates ?

Ou autre chose ? tongue

Je vous remercie d'avance. Kenavo smile

Dernière modification par Caribou22 (17-04-2019 19:10:34)


Projet d'ISO Debian-Facile pour débutants - contributeurs bienvenus !

Proposition de réunion mumble jeudi 24 octobre à 21h30 ouverte à tous !

Hors ligne

#2 17-04-2019 14:53:42

robert2a
Membre
Lieu : France
Distrib. : debian 10
Noyau : 4.19
(G)UI : Gnome
Inscription : 15-11-2014

Re : [Résolu] Debian 8 : erreur update et projet migration

Bonjour
ton sources.list doit correspondre a ceci :


#stretch9
deb http://security.debian.org/debian-security stretch/updates main contrib non-free
deb http://deb.debian.org/debian/ stretch-updates main contrib non-free
deb http://deb.debian.org/debian/ stretch main contrib non-free
deb http://deb.debian.org/debian/ stretch-backports main contrib non-free
 



mais avant il faut que tu fasse le point sur les dépots externe a debian (dans /etc/apt/sources.list.d/   par exemple )
pour faire une migration je conseille de désactiver tout ce qui n'est pas du debian

a priori tu a ceci


teamviewer.com
videolan.org
 



tu peu désactiver provisoirement ces dépots
tu peu désinstaller vlc et teamviewer et les installer après la migration

tenter de migrer avec des dépôts tiers risque de poser problème (conflit de versions par exemple )
sinon quand ton sources.list est propre
un "apt-get update" , "apt-get upgrade" , et un "apt-get dist-upgrade"  et pour finir un reboot de la machine .

donne le contenu de /etc/apt/sources.list.d/  et de /etc/apt/

Dernière modification par robert2a (17-04-2019 14:58:23)

Hors ligne

#3 17-04-2019 15:06:31

Caribou22
Membre
Lieu : 22, Côtes d'Armor, Bretagne
Distrib. : Debian Stretch
Noyau : 4.9 amd64
(G)UI : XFCE
Inscription : 10-11-2014
Site Web

Re : [Résolu] Debian 8 : erreur update et projet migration

J'ai désinstallé VLC et Teamviewer et supprimé leurs dépôts smile

Ok, donc je remplace mon sources.list par celui que tu m'as mis en lien. Par contre, le dépôt stretch-backports ne devrait-il pas rester commenté ?

Projet d'ISO Debian-Facile pour débutants - contributeurs bienvenus !

Proposition de réunion mumble jeudi 24 octobre à 21h30 ouverte à tous !

Hors ligne

#4 17-04-2019 15:09:25

Haricophile
Adhérent(e)
Lieu : Pignans (Var)
Distrib. : SID
Noyau : 4.0.0-1-amd64
(G)UI : Mate / i3 selon...
Inscription : 14-09-2009

Re : [Résolu] Debian 8 : erreur update et projet migration

Oui c'est prudent. Tu le remettra après.

« Argumenter avec des imbéciles, c'est comme jouer aux échecs contre un pigeon.  Peu importe votre niveau, le pigeon va juste renverser toutes les pièces, chier sur le plateau et se pavaner fièrement comme si il avait gagné. »

Hors ligne

#5 17-04-2019 15:15:29

robert2a
Membre
Lieu : France
Distrib. : debian 10
Noyau : 4.19
(G)UI : Gnome
Inscription : 15-11-2014

Re : [Résolu] Debian 8 : erreur update et projet migration

Oui une erreur de ma part


#stretch9
deb http://security.debian.org/debian-security stretch/updates main contrib non-free
deb http://deb.debian.org/debian/ stretch-updates main contrib non-free
deb http://deb.debian.org/debian/ stretch main contrib non-free
#deb http://deb.debian.org/debian/ stretch-backports main contrib non-free
 


tu n'en a pas besoin , les versions des backports de jessie seront mit a jour sur la version de stretch
normalement sans l'option -t rien n'est fait , mais c'est plus prudent smile

Hors ligne

#6 17-04-2019 15:18:39

Haricophile
Adhérent(e)
Lieu : Pignans (Var)
Distrib. : SID
Noyau : 4.0.0-1-amd64
(G)UI : Mate / i3 selon...
Inscription : 14-09-2009

Re : [Résolu] Debian 8 : erreur update et projet migration

Au passage, si tu veux utiliser apt-transport-https (plus sécurisé) il faudra à priori mettre :

deb https://deb.debian.org/debian-security stretch/updates main contrib non-free

deb.debian.org redirige vers des serveurs locaux/performants et gère https ce qui n'est pas le cas de tous les serveurs.

« Argumenter avec des imbéciles, c'est comme jouer aux échecs contre un pigeon.  Peu importe votre niveau, le pigeon va juste renverser toutes les pièces, chier sur le plateau et se pavaner fièrement comme si il avait gagné. »

Hors ligne

#7 17-04-2019 15:23:39

robert2a
Membre
Lieu : France
Distrib. : debian 10
Noyau : 4.19
(G)UI : Gnome
Inscription : 15-11-2014

Re : [Résolu] Debian 8 : erreur update et projet migration

il te faut installer un paquet pour stretch il me semble (sur buster a été mit a jour )


apt-get install apt-transport-https
 


un exemple


#stretch9 https
deb https://deb.debian.org/debian-security stretch/updates main contrib non-free
deb https://deb.debian.org/debian/ stretch-updates main contrib non-free
deb https://deb.debian.org/debian/ stretch main contrib non-free
 



il existe pour jessie => https://packages.debian.org/fr/jessie/a … port-https
tu peu l'installer avant de modifier ton sources.list et faire la migration en modifiant le sources.list en https comme ci dessus

Dernière modification par robert2a (17-04-2019 15:29:55)

Hors ligne

#8 17-04-2019 19:09:48

Caribou22
Membre
Lieu : 22, Côtes d'Armor, Bretagne
Distrib. : Debian Stretch
Noyau : 4.9 amd64
(G)UI : XFCE
Inscription : 10-11-2014
Site Web

Re : [Résolu] Debian 8 : erreur update et projet migration

J'ai appliqué le sources.list de robert2a et fait la mise à niveau avec succès, tout roule désormais smile

Je ne connaissais pas apt-transport-https. Ça va être installé par défaut sous Buster ?

Projet d'ISO Debian-Facile pour débutants - contributeurs bienvenus !

Proposition de réunion mumble jeudi 24 octobre à 21h30 ouverte à tous !

Hors ligne

#9 17-04-2019 19:53:27

--gilles--
Membre
Lieu : Orléans - La Source
Distrib. : debian 11
Noyau : Linux 5.2.0-3-amd64
(G)UI : mutter 3.34.1+git20191022-1
Inscription : 15-02-2016

Re : [Résolu] Debian 8 : erreur update et projet migration

Caribou22 a écrit :

J'ai appliqué le sources.list de robert2a et fait la mise à niveau avec succès, tout roule désormais smile

Je ne connaissais pas apt-transport-https. Ça va être installé par défaut sous Buster ?



Ce n'est plus la peine de l'installer avec buster qui tonne  big_smile, apt1.5 et supérieurs ont intégré son code :

aptitude show apt-transport-https

Paquet : apt-transport-https                            
Version : 1.8.0
État: installé
Automatiquement installé: non
Priorité : optionnel
Section : oldlibs
Responsable : APT Development Team <deity@lists.debian.org>
Architecture : all
Taille décompressée : 155 k
Dépend: apt (>= 1.5~alpha4)
Fourni par : apt (1.8.0)
Description : paquet de transition pour la prise en charge d'https
 Il s'agit d'un paquet factice de transition – la prise en charge de https a été
 transférée dans apt 1.5. Il peut être supprimé sans risque.
Étiquettes: role::shared-lib
 

Hors ligne

#10 17-04-2019 20:12:41

--gilles--
Membre
Lieu : Orléans - La Source
Distrib. : debian 11
Noyau : Linux 5.2.0-3-amd64
(G)UI : mutter 3.34.1+git20191022-1
Inscription : 15-02-2016

Re : [Résolu] Debian 8 : erreur update et projet migration

Il est possible de voir les paquets de transition installés ~i qui peuvent être supprimés sans risque avec cette commande ( il y a les mots transition supprimé sans risque dans la description ~d du paquet :

aptitude search '~dtransition ~dsupprimé ~dsans ~drisque ~i'

Chez moi cela donne ceci :

i   apt-transport-https                                           - paquet de transition pour la prise en charge d'https                    
i A gnome-orca                                                    - lecteur d’écran scriptable — paquet de transition                      
i   gnome-tweak-tool                                              - ajustement des paramètres de configuration avancée de GNOME – paquet de transition

Hors ligne

Pied de page des forums